mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Security.Permissions.IUnrestrictedPermission System.Runtime.InteropServices.ComVisible(true)

describes protected operations on registry variables. Registry variables should not be stored in memory locations where code without can access them. If the registry object is passed to an untrusted caller it can be misused.

The allowed registry access types are defined by . If more than one type of access is desired, they can be combined using the bitwise OR operation as shown in the code sample that follows.

Registry permission is defined in terms of canonical absolute paths; checks should always be made with canonical pathnames. Key access implies access to all values it contains and all variables under it.

In versions of the .NET Framework before the net_v40_long, you could use the method to prevent inadvertent access to system resources by trusted code. is now obsolete, and access to resources is now determined solely by the granted permission set for an assembly. To limit access to files, you must run partially trusted code in a sandbox and assign it permissions only to resources that the code is allowed to access. For information about running an application in a sandbox, see How To: Run Partially Trusted Code in a Sandbox.

Controls the ability to access registry variables. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Creates either fully restricted (None) or Unrestricted access to registry variables.

  Initializes a new instance of the class with either fully restricted or unrestricted permission as specified.

  One of the values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor allows only one of the values to be specified. This access applies to all listed registry variables. Use to define more complicated permissions.

  Initializes a new instance of the class with the specified access to the specified registry variables.

  One of the values.
  A list of registry variables (semicolon-separated) to which access is granted.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor allows only one of the values to be specified. This access applies to all listed registry variables. Use to define more complicated permissions.

  The parameter specifies whether the access control list (ACL) for the registry keys specified by can be changed, viewed, or cannot be accessed.

  An access control list (ACL) describes individuals or groups who have, or do not have, rights to specific actions on the specified registry keys. The ability to change or view an ACL is an important permission and should be granted with caution.

  Initializes a new instance of the class with the specified access to the specified registry variables and the specified access rights to registry control information.

  One of the values.
  A bitwise combination of the values.
  A list of registry variables (semicolon-separated) to which access is granted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Use this method to modify access to registry variables by adding to the state of the current permission object.

  Adds access for the specified registry variables to the existing state of the permission.

  One of the values. A list of registry variables (semicolon-separated).
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Use this method to modify access to registry variables by adding the set of their paths to the state of the current permission object. This overload allows you to specify the access control action as will as the registry permission access.

  The parameter specifies whether the access control list (ACL) for the registry keys specified by can be changed, viewed, or cannot be accessed.

  An access control list (ACL) describes individuals or groups who have, or do not have, rights to specific actions on the specified registry keys. The ability to change or view an ACL is an important permission and should be granted with caution.

  Adds access for the specified registry variables to the existing state of the permission, specifying registry permission access and access control actions.

  One of the values. One of the values. A list of registry variables (separated by semicolons).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Reconstructs a permission with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  Use this method to get the state of the current permission. You must call this method separately for each type of access.

  The parameter is limited to the values of , which represent single types of registry variable access. Those values are , , and . The values acceptable to do not include and , which do not represent single types of registry variable access.

  Gets paths for all registry variables with the specified .

  A list of the registry variables (semicolon-separated) with the specified .

  One of the values that represents a single type of registry variable access.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe in common. Only a demand that passes both original permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be of the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission specifies a set of operations that is wholly contained by the specified permission. For example, a permission that represents access to C:\example.txt is a subset of a permission that represents access to C:\. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission that is to be tested for the subset relationship. This permission must be of the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to any and all resources protected by the permission.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The previous state of the current permission is overwritten.

  Sets new access for the specified registry variable names to the existing state of the permission.

  One of the values. A list of registry variables (semicolon-separated).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added.

  Creates an XML encoding of the permission and its current state.

  An XML encoding of the permission, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to is a permission that represents all the operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.